Copyright: Patrik Wang 1995


Contents
MExtras VCL's for Delphi

The purpos with most of these components is to make the internationalization work very easy. However, you can use the components in which way you want. This package is a part of the real sharp multi language package found on CompuServe and Internet.

MDialogs	This unit includes all 16-bit common dialogs for translation to other languages. Supports different fonts for special languages. Can be translated at run-time.

MButtons	Message dialogs like ShowMessage, MessageDlg, InputQuery etc. have predefined button names in the CONSTS.RES file. This component can change the titles and captions of those buttons to the desired language. They can be translated at run-time.

Author:

    Patrik Wang

    PWang@MSN.COM

© 1995 Patrik Wang. All text, information and instructions contained in this helpfile is provided as is, the author disclaims all warranties expressed or implied, including, without limitation.


MDialogs
MDialogs Unit

The MDialogs unit contains the declarations for the common dialog boxes which are found on the Multi Language page of the Component palette. Components declared in this unit are decendants of the respective dialog in the Dialogs unit.

When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit.

The following items are declared in the MDialogs unit:

Components

TMColorDialog

TMFindDialog

TMFontDialog

TMOpenDialog

TMPrintDialog

TMPrinterSetupDialog

TMReplaceDialog

TMSaveDialog


TMColorDialog
TMColorDialog Component

Properties

Unit

MDialogs

Description

The TMColorDialog component is descendant of TColorDialog and adds on properties for translating the Color dialog captions and font.

For all inherited properties, methods and events please see the TColorDialog

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMColorDialogProperties
Properties

  runtime properties	 key properties

  	CaptionAdd	  	CaptionDefine	  	CaptionRed

  	CaptionBasic	  	CaptionGreen	  	CaptionSat

  	CaptionBlue	  	CaptionHelp	  	CaptionSolid

  	CaptionCancel	  	CaptionHue	  	Font

  	CaptionColor	  	CaptionLum	  	Title

  	CaptionCustom	  	CaptionOK


PropertyCaptionAdd
CaptionAdd Property

Applies to

TMColorDialog

Declaration

Property CaptionAdd: String

Description

Contains the text of the 'Add to Custom colors' button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionBasic
CaptionBasic Property

Applies to

TMColorDialog

Declaration

Property CaptionBasic: String

Description

Contains the text of the 'Basic Colors' label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionBlue
CaptionBlue Property

Applies to

TMColorDialog

Declaration

Property CaptionBlue: String

Description

Contains the text of the 'Blue' label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionCancel
CaptionCancel Property

Applies to

TMColorDialog, TMFindDialog, TMFontDialog, TMOpenDialog, TMPrintDialog, TMPrinterSetupDialog, TMReplaceDialog, TMSaveDialog

Declaration

Property CaptionCancel: String

Description

Contains the text of the 'Cancel' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMFindDialog
TMFindDialog Component

Properties

Unit

MDialogs

Description

The TMFindDialog component is descendant of TFindDialog and adds on properties for translating the Find dialog captions and font.

For all inherited properties, methods and events please see the TFindDialog

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMFontDialog
TMFontDialog Component

Properties

Unit

MDialogs

Description

The TMFontDialog component is descendant of TFontDialog and adds on properties for translating the Font dialog captions and font.

For all inherited properties, methods and events please see the TFontDialog

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMOpenDialog
TMOpenDialog Component

Properties

Unit

MDialogs

Description

The TMOpenDialog component is descendant of TOpenDialog and adds on properties for translating the Open dialog captions and font.

For all inherited properties, methods and events please see the TOpenDialog.

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMPrintDialog
TMPrintDialog Component

Properties

Unit

MDialogs

Description

The TMPrintDialog component is descendant of TPrintDialog and adds on properties for translating the Print dialog captions and font.

For all inherited properties, methods and events please see the TPrintDialog.

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMPrinterSetupDialog
TMPrinterSetupDialog Component

Properties

Unit

MDialogs

Description

The TMPrinterSetupDialog component is descendant of TPrinterSetupDialog and adds on properties for translating the Print setup dialog captions and font.

For all inherited properties, methods and events please see the TPrinterSetupDialog.

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMReplaceDialog
TMReplaceDialog Component

Properties

Unit

MDialogs

Description

The TMReplaceDialog component is descendant of TReplaceDialog and adds on properties for translating the Find & Replace dialog captions and font.

For all inherited properties, methods and events please see the TReplaceDialog.

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


TMSaveDialog
TMSaveDialog Component

Properties

Unit

MDialogs

Description

The TMSaveDialog component is descendant of TSaveDialog and adds on properties for translating the Save dialog captions and font.

For all inherited properties, methods and events please see the TSaveDialog.

Use this component when you need multi language support in common dialogs.

When this dialog is shown with the Execute method, it will display the text according to all the Caption????? properties.


PropertyCaptionColor
CaptionColor Property

Applies to

TMColorDialog, TMFontDialog

Declaration

Property CaptionColor: String

Description

Contains the text of the 'Color' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionCustom
CaptionCustom Property

Applies to

TMColorDialog

Declaration

Property CaptionCustom: String

Description

Contains the text of the 'Custom Colors' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionDefine
CaptionDefine Property

Applies to

TMColorDialog

Declaration

Property CaptionDefine: String

Description

Contains the text of the 'Define Custom Colors' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionGreen
CaptionGreen Property

Applies to

TMColorDialog

Declaration

Property CaptionGreen: String

Description

Contains the text of the 'Green' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionHelp
CaptionHelp Property

Applies to

TMColorDialog, TMFindDialog, TMFontDialog, TMOpenDialog, TMPrintDialog, TMPrinterSetupDialog, TMReplaceDialog, TMSaveDialog

Declaration

Property CaptionHelp: String

Description

Contains the text of the 'Help' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionHue
CaptionHue Property

Applies to

TMColorDialog

Declaration

Property CaptionHue: String

Description

Contains the text of the 'Hue' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionLum
CaptionLum Property

Applies to

TMColorDialog

Declaration

Property CaptionLum: String

Description

Contains the text of the 'Lum' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionOK
CaptionOK Property

Applies to

TMColorDialog, TMFontDialog, TMOpenDialog, TMPrintDialog, TMPrinterSetupDialog, TMSaveDialog

Declaration

Property CaptionOK: String

Description

Contains the text of the 'OK' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionRed
CaptionRed Property

Applies to

TMColorDialog

Declaration

Property CaptionRed: String

Description

Contains the text of the 'Red' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSat
CaptionSat Property

Applies to

TMColorDialog

Declaration

Property CaptionSat: String

Description

Contains the text of the 'Sat' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSolid
CaptionSolid Property

Applies to

TMColorDialog

Declaration

Property CaptionSolid: String

Description

Contains the text of the 'Solid' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyFont
Font Property

Applies to

TMColorDialog, TMFindDialog, TMFontDialog, TMOpenDialog, TMPrintDialog, TMPrinterSetupDialog, TMReplaceDialog, TMSaveDialog

Declaration

Property Font: TFont

Description

Contains the font of dialog buttons and labels.

This property is useful when displaying text of languages that has characters not inlcuded in the normal font.


PropertyTitle
Title Property

Applies to

TMButtons, TMColorDialog, TMFindDialog, TMFontDialog, TMPrintDialog, TMPrinterSetupDialog, TMReplaceDialog

Declaration

Property Title: String

Description

Contains the text of the dialog title. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMFindDialogProperties
Properties

  runtime properties	 key properties

  	CaptionCancel	  	CaptionFindNext	  	CaptionUp

  	CaptionDirection	  	CaptionHelp	  	Font

  	CaptionDown	  	CaptionMatchCase	  	Title

  	CaptionFind	  	CaptionMatchWord


PropertyCaptionDirection
CaptionDirection Property

Applies to

TMFindDialog

Declaration

Property CaptionDirection: String

Description

Contains the text of the 'Direction' Group Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionDown
CaptionDown Property

Applies to

TMFindDialog

Declaration

Property CaptionDown: String

Description

Contains the text of the 'Down' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionFind
CaptionFind Property

Applies to

TMFindDialog, TMReplaceDialog

Declaration

Property CaptionFind: String

Description

Contains the text of the 'Find What' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionFindNext
CaptionFindNext Property

Applies to

TMFindDialog, TMReplaceDialog

Declaration

Property CaptionFindNext: String

Description

Contains the text of the 'Find Next' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionMatchWord
CaptionMatchWord Property

Applies to

TMFindDialog, TMReplaceDialog

Declaration

Property CaptionMatchWord: String

Description

Contains the text of the 'Match Whole Word Only' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionMatchCase
CaptionMatchCase Property

Applies to

TMFindDialog, TMReplaceDialog

Declaration

Property CaptionMatchCase: String

Description

Contains the text of the 'Match Case' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionUp
CaptionUp Property

Applies to

TMFindDialog

Declaration

Property CaptionUp: String

Description

Contains the text of the 'Up' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMFontDialogProperties
Properties

  runtime properties	 key properties

  	CaptionApply	  	CaptionFontStyle	  	CaptionStrikout

  	CaptionCancel	  	CaptionHelp	  	CaptionUnderline

  	CaptionColor	  	CaptionOK	  	Font

  	CaptionEffects	  	CaptionSample	  	Title

  	CaptionFont	  	CaptionSize


PropertyCaptionApply
CaptionApply Property

Applies to

TMFontDialog

Declaration

Property CaptionApply: String

Description

Contains the text of the 'Apply' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionEffects
CaptionEffects Property

Applies to

TMFontDialog

Declaration

Property CaptionEffects: String

Description

Contains the text of the 'Effects' Group Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionFont
CaptionFont Property

Applies to

TMFontDialog

Declaration

Property CaptionFont: String

Description

Contains the text of the 'Font' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionFontStyle
CaptionFontStyle Property

Applies to

TMFontDialog

Declaration

Property CaptionFontStyle: String

Description

Contains the text of the 'Font Style' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSample
CaptionSample Property

Applies to

TMFontDialog

Declaration

Property CaptionSample: String

Description

Contains the text of the 'Sample' Group Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSize
CaptionSize Property

Applies to

TMFontDialog, TMPrinterSetupDialog

Declaration

Property CaptionSize: String

Description

Contains the text of the 'Size' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionStrikeout
CaptionStrikeout Property

Applies to

TMFontDialog

Declaration

Property CaptionStrikeout: String

Description

Contains the text of the 'Strikeout' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionUnderline
CaptionUnderline Property

Applies to

TMFontDialog

Declaration

Property CaptionUnderline: String

Description

Contains the text of the 'Underline' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMOpenDialogProperties
Properties

  runtime properties	 key properties

  	CaptionCancel	  	CaptionHelp	  	CaptionTypeList

  	CaptionDirectory	  	CaptionNetwork	  	Font

  	CaptionDrives	  	CaptionOK	  	Title

  	CaptionFileName	  	CaptionReadOnly


PropertyCaptionDirectory
CaptionDirectory Property

Applies to

TMOpenDialog, TMSaveDialog

Declaration

Property CaptionDirectory: String

Description

Contains the text of the 'Directories' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionDrives
CaptionDrives Property

Applies to

TMOpenDialog, TMSaveDialog

Declaration

Property CaptionDrives: String

Description

Contains the text of the 'Drives' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionFileName
CaptionFileName Property

Applies to

TMOpenDialog, TMSaveDialog

Declaration

Property CaptionFileName: String

Description

Contains the text of the 'File Name' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionNetwork
CaptionNetwork Property

Applies to

TMOpenDialog, TMSaveDialog

Declaration

Property CaptionNetwork: String

Description

Contains the text of the 'Network' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionReadOnly
CaptionReadOnly Property

Applies to

TMOpenDialog, TMSaveDialog

Declaration

Property CaptionReadOnly: String

Description

Contains the text of the 'Read Only' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionTypeList
CaptionTypeList Property

Applies to

TMOpenDialog, TMSaveDialog

Declaration

Property CaptionTypeList: String

Description

Contains the text of the 'List Files of Type' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMPrintDialogProperties
Properties

  runtime properties	 key properties

  	CaptionCancel	  	CaptionPrinter	  	CaptionRangeSelection

  	CaptionCollate	  	CaptionQuality	  	CaptionSetup

  	CaptionCopies	  	CaptionRange	  	Font

  	CaptionFileOption	  	CaptionRangeAll	  	Title

  	CaptionHelp	  	CaptionRangeFrom

  	CaptionOK	  	CaptionRangePages


PropertyCaptionCollate
CaptionCollate Property

Applies to

TMPrintDialog

Declaration

Property CaptionCollate: String

Description

Contains the text of the 'Collate Copies' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionCopies
CaptionCopies Property

Applies to

TMPrintDialog

Declaration

Property CaptionCopies: String

Description

Contains the text of the 'Copies' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionFileOption
CaptionFileOption Property

Applies to

TMPrintDialog

Declaration

Property CaptionFileOption: String

Description

Contains the text of the 'Print to File' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionPrinter
CaptionPrinter Property

Applies to

TMPrintDialog, TMPrinterSetupDialog

Declaration

Property CaptionPrinter: String

Description

Contains the text of the 'Printer' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionQuality
CaptionQuality Property

Applies to

TMPrintDialog

Declaration

Property CaptionQuality: String

Description

Contains the text of the 'Print Quality' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionRange
CaptionRange Property

Applies to

TMPrintDialog

Declaration

Property Captionrange: String

Description

Contains the text of the 'Range' Group Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionRangeAll
CaptionRangeAll Property

Applies to

TMPrintDialog

Declaration

Property CaptionRangeAll: String

Description

Contains the text of the 'All' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionRangeFrom
CaptionRangeFrom Property

Applies to

TMPrintDialog

Declaration

Property CaptionRangeFrom: String

Description

Contains the text of the 'From' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionRangePages
CaptionRangePages Property

Applies to

TMPrintDialog

Declaration

Property CaptionRangePages: String

Description

Contains the text of the 'Pages' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionRangeSelection
CaptionRangeSelection Property

Applies to

TMPrintDialog

Declaration

Property CaptionRangeSelection: String

Description

Contains the text of the 'Selection' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSetup
CaptionSetup Property

Applies to

TMPrintDialog

Declaration

Property CaptionSetup: String

Description

Contains the text of the 'Setup' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMPrinterSetupDialogProperties
Properties

  runtime properties	 key properties

  	CaptionCancel	  	CaptionOptions	  	CaptionSource

  	CaptionDefault	  	CaptionOrientation	  	CaptionSpecific

  	CaptionDefaultText	  	CaptionPaper	  	Font

  	CaptionHelp	  	CaptionPortrait	  	Title

  	CaptionLandscape	  	CaptionPrinter

  	CaptionOK	  	CaptionSize


PropertyCaptionDefault
CaptionDefault Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionDefault: String

Description

Contains the text of the 'Default Printer' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionDefaultText
CaptionDefaultText Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionDefaultText: String

Description

Contains the text of the '(No Default Printer)' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionLandscape
CaptionLandscape Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionLandscape: String

Description

Contains the text of the 'Landscape' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionOptions
CaptionOptions Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionOptions: String

Description

Contains the text of the 'Options' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionOrientation
CaptionOrientation Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionOrientation: String

Description

Contains the text of the 'Orientation' Group Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionPaper
CaptionPaper Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionPaper: String

Description

Contains the text of the 'Paper' Group Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionPortrait
CaptionPortrait Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionPortrait: String

Description

Contains the text of the 'Portrait' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSource
CaptionSource Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionSource: String

Description

Contains the text of the 'Source' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionSpecific
CaptionSpecific Property

Applies to

TMPrinterSetupDialog

Declaration

Property CaptionSpecific: String

Description

Contains the text of the 'Specific Printer' Option Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMReplaceDialogProperties
Properties

  runtime properties	 key properties

  	CaptionCancel	  	CaptionMatchCase	  	CaptionReplaceWith

  	CaptionFind	  	CaptionMatchWord	  	Font

  	CaptionFindNext	  	CaptionReplace	  	Title

  	CaptionHelp	  	CaptionReplaceAll


PropertyCaptionReplace
CaptionReplace Property

Applies to

TMReplaceDialog

Declaration

Property CaptionReplace: String

Description

Contains the text of the 'Replace' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionReplaceAll
CaptionReplaceAll Property

Applies to

TMReplaceDialog

Declaration

Property CaptionReplaceAll: String

Description

Contains the text of the 'Replace All' Button. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


PropertyCaptionReplaceWith
CaptionReplaceWith Property

Applies to

TMReplaceDialog

Declaration

Property CaptionReplaceWith: String

Description

Contains the text of the 'Replace With' Label. If this property is empty it will display the default text. Windows supply the default text according to the installed language version of Windows.


TMSaveDialogProperties
Properties

  runtime properties	 key properties

  	CaptionCancel	  	CaptionHelp	  	CaptionTypeList

  	CaptionDirectory	  	CaptionNetwork	  	Font

  	CaptionDrives	  	CaptionOK	  	Title

  	CaptionFileName	  	CaptionReadOnly


TMButtons
TMButtons Component

Properties

Unit

MButtons

Description

This component will translate dialog buttons and titles. Can also be used to to change text of labels on dialogs.

Drop this component on your form when you for example want to display a multi language message with the ShowMessage function. This component will automatically translate all buttons, labels and titles in subforms according to the Captions and Title properties.

Edit or add your translations in the Captions property.

The component will only translate subforms if the Translate property is true.

Translate the Captions and Title properties of this component with the TMultLang component to be able to switch languages at run-time.


TMButtonsProperties
Properties

  runtime properties	 key properties

  	Captions	  	Title	  	Translate


PropertyCaptions
Captions Property

Applies to

TMButtons

Declaration

Property Captions: TStrings

Description

The Captions property contains strings to translate together with the translation,  separated by a | character. Each row contains one translation. Ex.

Yes|Ja

No|Nej

Cancel|Avbryt

Ignore|Ignorera

This tells the component to translate the button called 'Yes' to 'Ja', 'No' to 'Nej', 'Cancel' to 'Avbryt' and 'Ignore' to 'Ignorera' for the swedish language.

The left word should always be the english word of the button or label unless you are using a non-english version of Delphi. Since Delphi retrieves the button names from the CONSTS.RES file when compiling, it does not matter which language version of Windows the application is running under.

The right word is the translated word.


PropertyTranslate
Translate Property

Applies to

TMButtons

Declaration

Property Translate: Boolean

Description

This property tells the component to translate subdialogs created by ShowMessage, MessageDlg, InputQuery etc. according to the Captions property.

When this property is true it will translate the subdialog. When this property is false it will not make any calls to check for subdialogs. It is a good practice to always keep this property false and when it is neccesary to translate a subdialog, change it to true.